QGIS Application - Feature request #8164
Can't fix bad datasource info in qgs file through GUI
2013-06-25 07:54 PM - Aren Cambre

Status: Open

Priority: Normal

Assignee:

Category: GUI

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 16987

Description

| have a qgs file which has a maplayer with a datasource with a wrong user field defined. Every time | open this qgs in QGIS, | am
advised that it cannot log into the server for this layer and asks me to check the credentials. See the attached image.

| can enter new credentials and get the layer to load, but even if | re-save the project, the old, wrong username is still present in the qgs

file. | can find no way to change the bad username without editing the qgs file or removing and re-adding the layer.

This happened because | put the wrong username in the into the PostGIS connection in the Add PostGIS Table(s) dialog. That dialog

prompted me to enter the correct information when | connected, which | did. | didn't formally edit the connection information until after |

had added the layer.

| am on master commit:a4fb5c7.

Related issues:
Related to QGIS Application - Feature request # 8672: Add an option to modify...
Related to QGIS Application - Bug report # 13170: postgis layer.dataProvider...

Closed 2013-09-25
Closed 2015-07-29

History

#1 - 2013-06-25 11:18 PM - Jiirgen Fischer

- Tracker changed from Bug report to Feature request

#2 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No
